MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027256Open CASCADE[OCCT] OCCT:Visualizationpublic2016-03-14 12:372016-12-09 16:39
Reporterisk 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027256: Visualization, Path Tracing - add support of alpha-channel of texture
DescriptionPath tracing doesn't support of alpha-channel of texture.
Steps To ReproduceSee new test case:
v3d/raytrace/sample_ball_alpha
TagsNo tags attached.
Test case numberv3d raytrace sample_ball_alpha
Attached Filespng file icon sample_ball_alpha_ref.png (424,439 bytes) 2016-11-16 18:43
png file icon sample_ball_alpha_final.png (262,984 bytes) 2016-11-16 18:43

- Relationships

-  Notes
(0051611)
git (administrator)
2016-03-15 10:10

Branch CR27256 has been created by isk.

SHA-1: a36edf256bf6a94c733cdee273da15d985109408


Detailed log of new commits:

Author: isk
Date: Tue Mar 15 10:10:05 2016 +0300

    0027256: Visualization, Path Tracing - add support of alpha-channel of texture
(0051679)
isk (developer)
2016-03-16 07:16

Dear Denis,
please review the branch CR27256.
(0052684)
git (administrator)
2016-04-13 17:28

Branch CR27256_1 has been created by dbp.

SHA-1: b719079747120303399d65b9dd36263dd4ee2ccc


Detailed log of new commits:

Author: dbp
Date: Wed Apr 13 17:27:34 2016 +0300

    0027256: Visualization, Path Tracing - add support of alpha-channel of texture
(0052685)
dbp (developer)
2016-04-13 17:30

Dear kgv,

The patch was modified and pushed into CR27256_1 branch. Alpha-channel support was added into ray-tracing also, and its processing in path-tracing was imporved in order to mix it with the native object transparency.

Could you please review it?
(0052743)
kgv (developer)
2016-04-15 13:40

Please push test case to the branch.
(0060455)
git (administrator)
2016-11-16 18:41

Branch CR27256 has been updated forcibly by dbp.

SHA-1: 6ce1d850c461c367a2e884d2780b9842b17c920d
(0060456)
dbp (developer)
2016-11-16 18:42

Dear kgv,

Could you please review th patch in branch CR27256?
(0060457)
dbp (developer)
2016-11-16 18:43

New test case:
v3d/raytrace/sample_ball_alpha

See sample_ball_alpha_ref.png for the reference result.
(0060458)
kgv (developer)
2016-11-16 18:51

Please test the patch.
(0060478)
apv (tester)
2016-11-17 10:38

Dear BugMaster,

Branch CR27256 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 6ce1d850c461c367a2e884d2780b9842b17c920d

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1135

Regressions/Differences:
Not detected

Testing cases:
v3d raytrace sample_ball_alpha - OK
http://occt-tests/CR27256-master-OCCT/Debian70-64/v3d/raytrace/sample_ball_alpha.html [^]
http://occt-tests/CR27256-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_ball_alpha.html [^]

Testing on Linux:
Total MEMORY difference: 91341302 / 91876867 [-0.58%]
Total CPU difference: 21694.590000000266 / 21600.84000000031 [+0.43%]

Testing on Windows:
Total MEMORY difference: 56578203 / 56597852 [-0.03%]
Total CPU difference: 19803.03214169856 / 19669.510885798518 [+0.68%]
(0060505)
git (administrator)
2016-11-17 18:33

Branch CR27256 has been updated by inv.

SHA-1: 2d4846b695a30e00e9e78c5481c903b0d13181dc


Detailed log of new commits:

Author: apn
Date: Thu Nov 17 18:31:56 2016 +0300

    Regenerate resource files.

(0061190)
git (administrator)
2016-12-07 11:25

Branch CR27256_1 has been deleted by kgv.

SHA-1: b719079747120303399d65b9dd36263dd4ee2ccc
(0061240)
git (administrator)
2016-12-07 11:30

Branch CR27256 has been deleted by kgv.

SHA-1: 2d4846b695a30e00e9e78c5481c903b0d13181dc

- Related Changesets
occt: master f411f94f
Timestamp: 2016-11-17 15:51:38
Author: dbp
Committer: apn
Details ] Diff ]
0027256: Visualization, Path Tracing - add support of alpha-channel of texture

Regenerate resource files.
mod - src/Graphic3d/Graphic3d_NameOfTexture2D.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Texture2D.cxx Diff ] File ]
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceBase_fs.pxx Diff ] File ]
add - src/Textures/2d_chess.rgba Diff ] File ]
mod - src/Textures/FILES Diff ] File ]
add - tests/v3d/raytrace/sample_ball_alpha Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-14 12:37 isk New Issue
2016-03-14 12:37 isk Assigned To => kgv
2016-03-14 12:37 isk Assigned To kgv => isk
2016-03-14 12:57 kgv Product Version Unscheduled =>
2016-03-15 10:10 git Note Added: 0051611
2016-03-15 10:12 isk Assigned To isk => dbp
2016-03-15 10:12 isk Status new => resolved
2016-03-15 10:12 isk Steps to Reproduce Updated View Revisions
2016-03-16 07:16 isk Steps to Reproduce Updated View Revisions
2016-03-16 07:16 isk Note Added: 0051679
2016-04-13 17:28 git Note Added: 0052684
2016-04-13 17:30 dbp Note Added: 0052685
2016-04-13 17:30 dbp Assigned To dbp => kgv
2016-04-13 17:30 dbp Status resolved => assigned
2016-04-15 13:40 kgv Note Added: 0052743
2016-04-15 13:40 kgv Assigned To kgv => dbp
2016-04-15 13:40 kgv Target Version Unscheduled => 7.1.0
2016-10-25 09:39 kgv Target Version 7.1.0 => 7.2.0
2016-11-16 18:41 git Note Added: 0060455
2016-11-16 18:42 dbp Note Added: 0060456
2016-11-16 18:42 dbp Assigned To dbp => kgv
2016-11-16 18:42 dbp Status assigned => resolved
2016-11-16 18:42 dbp Steps to Reproduce Updated View Revisions
2016-11-16 18:43 dbp File Added: sample_ball_alpha_ref.png
2016-11-16 18:43 dbp File Added: sample_ball_alpha_final.png
2016-11-16 18:43 dbp Note Added: 0060457
2016-11-16 18:51 kgv Note Added: 0060458
2016-11-16 18:51 kgv Assigned To kgv => bugmaster
2016-11-16 18:51 kgv Status resolved => reviewed
2016-11-16 18:51 kgv Target Version 7.2.0 => 7.1.0
2016-11-16 19:32 apv Assigned To bugmaster => apv
2016-11-17 10:36 apv Test case number => v3d raytrace sample_ball_alpha
2016-11-17 10:38 apv Note Added: 0060478
2016-11-17 10:38 apv Assigned To apv => bugmaster
2016-11-17 10:38 apv Status reviewed => tested
2016-11-17 18:33 git Note Added: 0060505
2016-11-18 16:37 apn Changeset attached => occt master f411f94f
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061190
2016-12-07 11:30 git Note Added: 0061240
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker